import request from '@/utils/request'

// 查询短信发送记录列表
export function listMxjbSmsLog(query) {
  return request({
    url: '/system/mxjbSmsLog/list',
    method: 'get',
    params: query
  })
}

// 查询短信发送记录详细
export function getMxjbSmsLog(id) {
  return request({
    url: '/system/mxjbSmsLog/' + id,
    method: 'get'
  })
}

// 新增短信发送记录
export function addMxjbSmsLog(data) {
  return request({
    url: '/system/mxjbSmsLog',
    method: 'post',
    data: data
  })
}

// 修改短信发送记录
export function updateMxjbSmsLog(data) {
  return request({
    url: '/system/mxjbSmsLog',
    method: 'put',
    data: data
  })
}

// 删除短信发送记录
export function delMxjbSmsLog(id) {
  return request({
    url: '/system/mxjbSmsLog/' + id,
    method: 'delete'
  })
}

// 导出短信发送记录
export function exportMxjbSmsLog(query) {
  return request({
    url: '/system/mxjbSmsLog/export',
    method: 'get',
    params: query
  })
}